### Method

# GtkSource Mark prev

#### Declaration [src]

    GtkSourceMark*
    gtk_source_mark_prev (
      GtkSourceMark* mark,
      const gchar* category
    )

#### Description [src]

Returns the previous `GtkSourceMark` in the buffer or `NULL` if the mark was not added to a buffer.

If there is no previous mark, `NULL` is returned.

If `category` is `NULL`, looks for marks of any category.

#### Parameters

`category`

  Type: `const gchar*`

  A string specifying the mark category, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkSourceMark`

The previous `GtkSourceMark`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.